This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 209882 - glibc detected double free
glibc detected double free
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: esc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
:
: 214054 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-07 08:26 EDT by Steve Grubb
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 10:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2006-10-07 08:26:55 EDT
Description of problem:
During gdm shutdown today this was in syslog:
Oct  7 07:50:33 localhost escd: *** glibc detected *** ./escd: double free or
corruption (out): 0x00007ffffafb16f0 ***


Version-Release number of selected component (if applicable):
esc-1.0.0-16.fc6

How reproducible:
every time I shutdown gdm

Steps to Reproduce:
1. init 5
2. select log out from menu
3. select shutdown or reboot

Additinal Info:
I am using x86_64
Comment 1 Bill Nottingham 2006-10-18 12:32:24 EDT
Here's the full log I get on X server exit.

*** glibc detected *** ./escd: double free or corruption (out):
0x00007fffbff5e5f0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3e2026ea60]
/lib64/libc.so.6(cfree+0x8c)[0x3e2027217c]
./escd(__gxx_personality_v0+0x372)[0x406bfa]
./escd(_ZN5ESC_D15xIOErrorHandlerEP9_XDisplay+0x34)[0x406c44]
/usr/lib64/libX11.so.6(_XIOError+0x1d)[0x3e22649e8d]
/usr/lib64/libX11.so.6(_XRead+0xac)[0x3e2264acec]
/usr/lib64/libX11.so.6(_XReadEvents+0x162)[0x3e2264c612]
/usr/lib64/libX11.so.6(XNextEvent+0x7f)[0x3e2263627f]
./escd[0x40838b]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3e2021da44]
./escd(__gxx_personality_v0+0x1e1)[0x406a69]
======= Memory map: ========
00400000-0042e000 r-xp 00000000 fd:00 17401124                          
/usr/lib64/esc-1.0.0/escd
0062e000-00632000 rw-p 0002e000 fd:00 17401124                          
/usr/lib64/esc-1.0.0/escd
00632000-00675000 rw-p 00632000 00:00 0                                  [heap]
40000000-40001000 ---p 40000000 00:00 0 
40001000-40a01000 rw-p 40001000 00:00 0 
3e1fe00000-3e1fe1a000 r-xp 00000000 fd:00 17337585                      
/lib64/ld-2.5.so
3e20019000-3e2001a000 r--p 00019000 fd:00 17337585                      
/lib64/ld-2.5.so
3e2001a000-3e2001b000 rw-p 0001a000 fd:00 17337585                      
/lib64/ld-2.5.so
3e20200000-3e20344000 r-xp 00000000 fd:00 17337586                      
/lib64/libc-2.5.so
3e20344000-3e20544000 ---p 00144000 fd:00 17337586                      
/lib64/libc-2.5.so
3e20544000-3e20548000 r--p 00144000 fd:00 17337586                      
/lib64/libc-2.5.so
3e20548000-3e20549000 rw-p 00148000 fd:00 17337586                      
/lib64/libc-2.5.so
3e20549000-3e2054e000 rw-p 3e20549000 00:00 0 
3e20600000-3e20603000 r-xp 00000000 fd:00 17337588                      
/lib64/libdl-2.5.so
3e20603000-3e20802000 ---p 00003000 fd:00 17337588                      
/lib64/libdl-2.5.so
3e20802000-3e20803000 r--p 00002000 fd:00 17337588                      
/lib64/libdl-2.5.so
3e20803000-3e20804000 rw-p 00003000 fd:00 17337588                      
/lib64/libdl-2.5.so
3e20a00000-3e20a82000 r-xp 00000000 fd:00 17337594                      
/lib64/libm-2.5.so
3e20a82000-3e20c81000 ---p 00082000 fd:00 17337594                      
/lib64/libm-2.5.so
3e20c81000-3e20c82000 r--p 00081000 fd:00 17337594                      
/lib64/libm-2.5.so
3e20c82000-3e20c83000 rw-p 00082000 fd:00 17337594                      
/lib64/libm-2.5.so
3e20e00000-3e20e15000 r-xp 00000000 fd:00 17337589                      
/lib64/libpthread-2.5.so
3e20e15000-3e21014000 ---p 00015000 fd:00 17337589                      
/lib64/libpthread-2.5.so
3e21014000-3e21015000 r--p 00014000 fd:00 17337589                      
/lib64/libpthread-2.5.so
3e21015000-3e21016000 rw-p 00015000 fd:00 17337589                      
/lib64/libpthread-2.5.so
3e21016000-3e2101a000 rw-p 3e21016000 00:00 0 
3e21200000-3e21214000 r-xp 00000000 fd:00 16861514                      
/usr/lib64/libz.so.1.2.3
3e21214000-3e21413000 ---p 00014000 fd:00 16861514                      
/usr/lib64/libz.so.1.2.3
3e21413000-3e21414000 rw-p 00013000 fd:00 16861514                      
/usr/lib64/libz.so.1.2.3
3e21600000-3e2160c000 r-xp 00000000 fd:00 16859507                      
/usr/lib64/libckyapplet.so.1.0.0
3e2160c000-3e2180b000 ---p 0000c000 fd:00 16859507                      
/usr/lib64/libckyapplet.so.1.0.0
3e2180b000-3e2180c000 rw-p 0000b000 fd:00 16859507                      
/usr/lib64/libckyapplet.so.1.0.0
3e22600000-3e22704000 r-xp 00000000 fd:00 16861520                      
/usr/lib64/libX11.so.6.2.0
3e22704000-3e22904000 ---p 00104000 fd:00 16861520                      
/usr/lib64/libX11.so.6.2.0
3e22904000-3e2290b000 rw-p 00104000 fd:00 16861520                      
/usr/lib64/libX11.so.6.2.0
3e22a00000-3e22a05000 r-xp 00000000 fd:00 16861519                      
/usr/lib64/libXdmcp.so.6.0.0
3e22a05000-3e22c04000 ---p 00005000 fd:00 16861519                      
/usr/lib64/libXdmcp.so.6.0.0
3e22c04000-3e22c05000 rw-p 00004000 fd:00 16861519                      
/usr/lib64/libXdmcp.so.6.0.0
3e22e00000-3e22e02000 r-xp 00000000 fd:00 16861518                      
/usr/lib64/libXau.so.6.0.0
3e22e02000-3e23001000 ---p 00002000 fd:00 16861518                      
/usr/lib64/libXau.so.6.0.0
3e23001000-3e23002000 rw-p 00001000 fd:00 16861518                      
/usr/lib64/libXau.so.6.0.0
3e32000000-3e320e7000 r-xp 00000000 fd:00 16859265                      
/usr/lib64/libstdc++.so.6.0.8
3e320e7000-3e322e7000 ---p 000e7000 fd:00 16859265                      
/usr/lib64/libstdc++.so.6.0.8
3e322e7000-3e322ed000 r--p 000e7000 fd:00 16859265                      
/usr/lib64/libstdc++.so.6.0.8
3e322ed000-3e322f0000 rw-p 000ed000 fd:00 16859265                      
/usr/lib64/libstdc++.so.6.0.8
3e322f0000-3e32302000 rw-p 3e322f0000 00:00 0 
3e32400000-3e3240d000 r-xp 00000000 fd:00 17337611                      
/lib64/libgcc_s-4.1.1-20061011.so.1
3e3240d000-3e3260c000 ---p 0000d000 fd:00 17337611                      
/lib64/libgcc_s-4.1.1-20061011.so.1
3e3260c000-3e3260d000 rw-p 0000c000 fd:00 17337611                      
/lib64/libgcc_s-4.1.1-20061011.so.1
3e32c00000-3e32c35000 r-xp 00000000 fd:00 16856962                      
/usr/lib64/libnspr4.so
3e32c35000-3e32e34000 ---p 00035000 fd:00 16856962                      
/usr/lib64/libnspr4.so
3e32e34000-3e32e37000 rw-p 00034000 fd:00 16856962                      
/usr/lib64/libnspr4.so
3e32e37000-3e32e39000 rw-p 3e32e37000 00:00 0 
3e33400000-3e33403000 r-xp 00000000 fd:00 16861551                      
/usr/lib64/libplds4.so
3e33403000-3e33602000 ---p 00003000 fd:00 16861551                      
/usr/lib64/libplds4.so
3e33602000-3e33603000 rw-p 00002000 fd:00 16861551                      
/usr/lib64/libplds4.so
3e33800000-3e33804000 r-xp 00000000 fd:00 16861552                      
/usr/lib64/libplc4.so
3e33804000-3e33a04000 ---p 00004000 fd:00 16861552                      
/usr/lib64/libplc4.so
3e33a04000-3e33a05000 rw-p 00004000 fd:00 16861552                      
/usr/lib64/libplc4.so
3e34400000-3e3442d000 r-xp 00000000 fd:00 16861555                      
/usr/lib64/libssl3.so
3e3442d000-3e3462c000 ---p 0002d000 fd:00 16861555                      
/usr/lib64/libssl3.so
3e3462c000-3e3462f000 rw-p 0002c000 fd:00 16861555                      
/usr/lib64/libssl3.so
3e34800000-3e34855000 r-xp 00000000 fd:00 16857603                      
/usr/lib64/libsoftokn3.so
3e34855000-3e34a55000 ---p 00055000 fd:00 16857603                      
/usr/lib64/libsoftokn3.so
3e34a55000-3e34a5c000 rw-p 00055000 fd:00 16857603                      
/usr/lib64/libsoftokn3.so
3e35000000-3e3507f000 r-xp 00000000 fd:00 16861554                      
/usr/lib64/libnss3.so
3e3507f000-3e3527f000 ---p 0007f000 fd:00 16861554                      
/usr/lib64/libnss3.so
3e3527f000-3e35288000 rw-p 0007f000 fd:00 16861554                      
/usr/lib64/libnss3.so
2aaaaaaab000-2aaaaaaac000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaaac000-2aaaaaab0000 rw-s 00000000 fd:00 1703944                   
/tmp/.pk11ipc1/coolkeypk11sE-Gate 0 0-0
2aaaaaaba000-2aaaaaac2000 rw-p 2aaaaaaba000 00:00 0 
2aaaaaac2000-2aaaaab17000 r-xp 00000000 fd:00 16847043                  
/usr/lib64/libfreebl3.so
2aaaaab17000-2aaaaad17000 ---p 00055000 fd:00 16847043                  
/usr/lib64/libfreebl3.so
2aaaaad17000-2aaaaad19000 rw-p 00055000 fd:00 16847043                  
/usr/lib64/libfreebl3.so
2aaaaad19000-2aaaaad27000 r--s 00000000 fd:00 4424537                   
/var/run/pcscd.pub
2aaaaad27000-2aaaaad47000 r-xp 00000000 fd:00 17400325                  
/usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaad47000-2aaaaaf46000 ---p 00020000 fd:00 17400325                  
/usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaaf46000-2aaaaaf48000 rw-p 0001f000 fd:00 17400325                  
/usr/lib64/pkcs11/libcoolkeypk11.so
2aaaaaf48000-2aaaaaf50000 r-xp 00000000 fd:00 16859610                  
/usr/lib64/libpcsclite.so.1.0.0
2aaaaaf50000-2aaaab150000 ---p 00008000 fd:00 16859610                  
/usr/lib64/libpcsclite.so.1.0.0
2aaaab150000-2aaaab151000 rw-p 00008000 fd:00 16859610                  
/usr/lib64/libpcsclite.so.1.0.0
2aaaab151000-2aaaab152000 rw-p 2aaaab151000 00:00 0 
2aaaab152000-2aaaab154000 r--s 0000e000 fd:00 4424537                   
/var/run/pcscd.pub
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0 
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0 
7fffbff4a000-7fffbff5f000 rw-p 7fffbff4a000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
Comment 2 Benjamin Kahn 2006-11-28 15:38:07 EST
*** Bug 211710 has been marked as a duplicate of this bug. ***
Comment 3 Jack Magne 2006-11-29 16:16:56 EST
Issue resolved in build esc-1.0.0-19.el5 forward:

Patch:

--- ./esc/src/app/daemon/escd.cpp.fix20 2006-11-15 11:19:21.000000000 -0800
+++ ./esc/src/app/daemon/escd.cpp       2006-11-15 11:19:56.000000000 -0800
@@ -67,9 +67,6 @@

     PR_DestroyLock(mDataLock);

-    if(single)
-        delete single;
-
     exit(0);

 }
~
Comment 4 David Highley 2007-02-08 19:53:30 EST
*** Bug 214054 has been marked as a duplicate of this bug. ***
Comment 5 Steve Grubb 2007-10-18 10:18:56 EDT
closing bug. I no longer have esc on my system and the patch above might fix it.

Note You need to log in before you can comment on or make changes to this bug.